summaryrefslogtreecommitdiffstats
path: root/usr.sbin/named.reload/named.reload.sh
diff options
context:
space:
mode:
Diffstat (limited to 'usr.sbin/named.reload/named.reload.sh')
-rw-r--r--usr.sbin/named.reload/named.reload.sh41
1 files changed, 38 insertions, 3 deletions
diff --git a/usr.sbin/named.reload/named.reload.sh b/usr.sbin/named.reload/named.reload.sh
index 4a657a7..d1ee3af 100644
--- a/usr.sbin/named.reload/named.reload.sh
+++ b/usr.sbin/named.reload/named.reload.sh
@@ -1,7 +1,42 @@
-#!/bin/sh -
+#!/bin/sh
+#-
+# Copyright (c) 2004 Dag-Erling Coïdan Smørgrav
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer
+# in this position and unchanged.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
-# from named.reload 5.2 (Berkeley) 6/27/89
# $FreeBSD$
#
-exec %DESTSBIN%/%INDOT%ndc reload
+rndc=/usr/sbin/rndc
+me=$(basename $0)
+cmd=${me#named.}
+cmd=${cmd%.sh}
+
+args=$(getopt "c:k:s:p:Vy:" "$@")
+if [ $? -ne 0 -o $# -ne 0 ] ; then
+ echo "usage: ${me} [-V] [-c config-file] [-k key-file]" 1>&2
+ echo " [-s server] [-p port] [-y keyid]" 1>&2
+ exit 1
+fi
+
+exec "${rndc}" "$@" "${cmd}"
OpenPOWER on IntegriCloud